# DISCLAIMER - LAURA SCHIMMELFENNIG

Falls Sie auch mal versuchen wollen, die Skripte durchlaufen zu lassen, ist im Ordner `Train SynSciPass` ein angepasstes Python file und ein batch Script.
Sonst müssten Sie auf jeden Fall auf das `requirements.txt` achten, das weder vollstaändig ist noch die richtigen Version enthält.
Ansonsten können Sie auch einfach durch das Repo stöbern!

# SynSciPass: A dataset of synthetic scientific texts for detecting appropriate and inapproriate uses of text generation

This repo accompanies the paper (SynSciPass: detecting appropriate uses of scientific text generation)[] and contains the SynSciPass dataset (`./data`)

## SynSciPass

The SynSciPass dataset is contained in `./data` with the train, test, and validation splits at `synscipass_`.

## Steps to Reproduce

Requires python 3.8 or higher.
```
$ pip install -r requirements.txt
```

### Information regarding requirements.txt - LAURA SCHIMMELFENNIG
The package omnixai was initially defined with the version 1.3.3. That version, however, does not exist, so I changed it to the latest version 1.3.0.
Defining the version seems to collide with some other packages installed... Let's see if it works anyway...

I also added the packages `pandas`, `sentencepiece` and `tqdm` as they were needed but not originally listed.

Note: all identifying information is overwritten with anon.

### Dataset construction

Run the notebooks in the `SynSciPass creation` folder.

### Model training

Run the notebooks in the `DAPT-TAPT` and `Train SynSciPass` folders.

If you want to run the scripts on cluster use the bash scripts named accordingly. The Python files are merely a copy of the jupyter files for compatibility.

### Experiments

Run the notebooks in the `Experiment #` folders.
